require("@nomicfoundation/hardhat-toolbox");

require("dotenv").config();
// Define mnemonic for accounts.
let mnemonic = "test test test test test test test test test test test test"
const accounts = { mnemonic }

// checkout private key env, if env is set, use it as accounts.
if (process.env.PRIVATE_KEY) {
  accounts.accounts = [process.env.PRIVATE_KEY]
}

module.exports = {
  solidity: {
    version: "0.8.10",
    settings: {
      optimizer: {
        enabled: true,
        runs: 200,
      },
    },
  },
  networks: {
    test:{
      accounts: [process.env.PRIVATE_KEY],
      url: "https://achain.bitheart.org",
    },
  },
};
